Bug 23522 - Show "Actual price" in basket when available
Summary: Show "Actual price" in basket when available
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords: Manual, release-notes-needed
: 23020 (view as bug list)
Depends on: 23523
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-29 15:02 UTC by Nick Clemens
Modified: 2019-11-06 17:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23522: Show actual price on in baskets (5.21 KB, patch)
2019-08-29 15:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23522: Show actual price on in baskets (5.26 KB, patch)
2019-09-20 15:08 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23522: Show actual price on in baskets (5.31 KB, patch)
2019-09-27 20:02 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 23522: Show actual price on in baskets (5.38 KB, patch)
2019-11-04 20:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23522: (QA follow-up) Typo fix in comment (1.09 KB, patch)
2019-11-04 20:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-08-29 15:02:49 UTC
If 'Actual cost' is entered this should be displayed in the basket
Comment 1 Nick Clemens 2019-08-29 15:10:40 UTC Comment hidden (obsolete)
Comment 2 ByWater Sandboxes 2019-09-20 15:08:08 UTC Comment hidden (obsolete)
Comment 3 Bouzid Fergani 2019-09-27 20:02:03 UTC
Created attachment 93215 [details] [review]
Bug 23522: Show actual price on in baskets

To test:
 1 - Create a new basket in acq, mark it as 'standing'
 2 - Add an item, leave the RRP and Vendor price as 0
 3 - Receive shipments for the vendor
 4 - Select the title from this basket
 5 - On receipt enter an actual cost
 6 - Finsih receiving
 7 - Go to the basket
 8 - Note the total for the order and the basket are 0, keep this browser tab open
 9 - Open a new browser tab and create a new non standing basket
10 - Add to basket, again with no RRP or vendor price
11 - Close the basket, receive the item
12 - Enter an actual cost on receipt
13 - Return to view the basket
14 - Total and order are $0
15 - Apply patch
16 - Refresh the basket in both tabs
17 - You now see the actual price for the orders

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 4 Joy Nelson 2019-10-01 16:02:28 UTC
*** Bug 23020 has been marked as a duplicate of this bug. ***
Comment 5 Katrin Fischer 2019-10-02 11:38:45 UTC
Blocked by dependency bug.
Comment 6 Michael Sutherland 2019-10-10 16:14:40 UTC
What does that mean? What will it take for the block be cleared? 


(In reply to Katrin Fischer from comment #5)
> Blocked by dependency bug.
Comment 7 Owen Leonard 2019-10-10 16:19:03 UTC
(In reply to Michael Sutherland from comment #6)
> What does that mean? What will it take for the block be cleared? 

It means this bug depends on another bug (bug 23523) which is still in the QA process. Once that bug is approved this one can move forward.
Comment 8 Michael Sutherland 2019-10-10 16:26:41 UTC
Owen --

According to the bug 23523 it was signed off by 

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>


(In reply to Owen Leonard from comment #7)
> (In reply to Michael Sutherland from comment #6)
> > What does that mean? What will it take for the block be cleared? 
> 
> It means this bug depends on another bug (bug 23523) which is still in the
> QA process. Once that bug is approved this one can move forward.
Comment 9 Owen Leonard 2019-10-10 16:32:27 UTC
(In reply to Michael Sutherland from comment #8)
> Owen --
> 
> According to the bug 23523 it was signed off

Yes, and the next step is for it to be reviewed by a member of the QA team. After that it will be reviewed by the Release Manager.
Comment 10 Michael Sutherland 2019-10-10 16:33:35 UTC
That's great! Thank you so much!


(In reply to Owen Leonard from comment #9)
> (In reply to Michael Sutherland from comment #8)
> > Owen --
> > 
> > According to the bug 23523 it was signed off
> 
> Yes, and the next step is for it to be reviewed by a member of the QA team.
> After that it will be reviewed by the Release Manager.
Comment 11 Martin Renvoize 2019-11-04 20:26:12 UTC
Created attachment 95036 [details] [review]
Bug 23522: Show actual price on in baskets

To test:
 1 - Create a new basket in acq, mark it as 'standing'
 2 - Add an item, leave the RRP and Vendor price as 0
 3 - Receive shipments for the vendor
 4 - Select the title from this basket
 5 - On receipt enter an actual cost
 6 - Finsih receiving
 7 - Go to the basket
 8 - Note the total for the order and the basket are 0, keep this browser tab open
 9 - Open a new browser tab and create a new non standing basket
10 - Add to basket, again with no RRP or vendor price
11 - Close the basket, receive the item
12 - Enter an actual cost on receipt
13 - Return to view the basket
14 - Total and order are $0
15 - Apply patch
16 - Refresh the basket in both tabs
17 - You now see the actual price for the orders

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2019-11-04 20:26:16 UTC
Created attachment 95037 [details] [review]
Bug 23522: (QA follow-up) Typo fix in comment

Tiny typo fix in a new code comment

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2019-11-04 20:27:27 UTC
Clarifies what's going on behind the scenes by displaying any data we have available to us at the time at which we are looking at the basket.

Passing QA
Comment 14 Martin Renvoize 2019-11-05 08:14:26 UTC
Nice work!

Pushed to master for 19.11.00